Bug 880628 - [abrt] geany-1.22-1.fc17: editor_check_colourise: Process /usr/bin/geany was killed by signal 11 (SIGSEGV)
Summary: [abrt] geany-1.22-1.fc17: editor_check_colourise: Process /usr/bin/geany was ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: geany
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Bacik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fcd2d16bca95ca5adc21a3c8c71...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-27 13:00 UTC by Aleksei Kovura
Modified: 2013-08-01 01:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 01:30:22 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (4.92 KB, text/plain)
2012-11-27 13:00 UTC, Aleksei Kovura
no flags Details
File: environ (2.49 KB, text/plain)
2012-11-27 13:00 UTC, Aleksei Kovura
no flags Details
File: var_log_messages (292 bytes, text/plain)
2012-11-27 13:00 UTC, Aleksei Kovura
no flags Details
File: backtrace (23.83 KB, text/plain)
2012-11-27 13:01 UTC, Aleksei Kovura
no flags Details
File: limits (1.29 KB, text/plain)
2012-11-27 13:01 UTC, Aleksei Kovura
no flags Details
File: cgroup (127 bytes, text/plain)
2012-11-27 13:01 UTC, Aleksei Kovura
no flags Details
File: smolt_data (2.88 KB, text/plain)
2012-11-27 13:01 UTC, Aleksei Kovura
no flags Details
File: executable (14 bytes, text/plain)
2012-11-27 13:01 UTC, Aleksei Kovura
no flags Details
File: maps (32.18 KB, text/plain)
2012-11-27 13:01 UTC, Aleksei Kovura
no flags Details
File: dso_list (6.44 KB, text/plain)
2012-11-27 13:01 UTC, Aleksei Kovura
no flags Details
File: build_ids (2.40 KB, text/plain)
2012-11-27 13:01 UTC, Aleksei Kovura
no flags Details
File: proc_pid_status (924 bytes, text/plain)
2012-11-27 13:01 UTC, Aleksei Kovura
no flags Details
File: open_fds (501 bytes, text/plain)
2012-11-27 13:01 UTC, Aleksei Kovura
no flags Details

Description Aleksei Kovura 2012-11-27 13:00:48 UTC
Version-Release number of selected component:
geany-1.22-1.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        geany
crash_function: editor_check_colourise
kernel:         3.6.7-4.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 editor_check_colourise at editor.c:4567
: #1 on_editor_focus_in at editor.c:4590
: #2 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
: #7 gtk_widget_event_internal at gtkwidget.c:5017
: #8 gtk_widget_event at gtkwidget.c:4814
: #9 gtk_widget_send_focus_change at gtkwidget.c:11450
: #10 do_focus_change at gtkwindow.c:5304
: #11 _gtk_window_set_is_active at gtkwindow.c:8410
: #12 gtk_window_focus_in_event at gtkwindow.c:5323
: #13 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86

Comment 1 Aleksei Kovura 2012-11-27 13:00:51 UTC
Created attachment 652669 [details]
File: core_backtrace

Comment 2 Aleksei Kovura 2012-11-27 13:00:54 UTC
Created attachment 652670 [details]
File: environ

Comment 3 Aleksei Kovura 2012-11-27 13:00:58 UTC
Created attachment 652671 [details]
File: var_log_messages

Comment 4 Aleksei Kovura 2012-11-27 13:01:00 UTC
Created attachment 652672 [details]
File: backtrace

Comment 5 Aleksei Kovura 2012-11-27 13:01:02 UTC
Created attachment 652673 [details]
File: limits

Comment 6 Aleksei Kovura 2012-11-27 13:01:05 UTC
Created attachment 652674 [details]
File: cgroup

Comment 7 Aleksei Kovura 2012-11-27 13:01:07 UTC
Created attachment 652675 [details]
File: smolt_data

Comment 8 Aleksei Kovura 2012-11-27 13:01:12 UTC
Created attachment 652676 [details]
File: executable

Comment 9 Aleksei Kovura 2012-11-27 13:01:16 UTC
Created attachment 652677 [details]
File: maps

Comment 10 Aleksei Kovura 2012-11-27 13:01:21 UTC
Created attachment 652679 [details]
File: dso_list

Comment 11 Aleksei Kovura 2012-11-27 13:01:23 UTC
Created attachment 652681 [details]
File: build_ids

Comment 12 Aleksei Kovura 2012-11-27 13:01:25 UTC
Created attachment 652683 [details]
File: proc_pid_status

Comment 13 Aleksei Kovura 2012-11-27 13:01:27 UTC
Created attachment 652684 [details]
File: open_fds

Comment 14 Fedora End Of Life 2013-07-03 23:07:26 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2013-08-01 01:30:28 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.